<?php
/*
Plugin Name: Metro Style Social Widget
Plugin URI: http://www.howopensource.com/metro-style-social-widget-wordpress
Description: Sidebar widget that displays Metro Style Social Icons and links to your Social Profiles.
Version: 0.9.4
Author: Manivannan Muthaiyan
Author URI: http://www.howopensource.com
License: GPLv2 or Later
*/


class Metro_Style_Socialicons_Widget extends WP_Widget {


	function Metro_Style_Socialicons_Widget() {
	
		/* Widget settings */
		$widget_ops = array( 'classname' => 'metro_style_social_widget', 'description' => __('Widget displays metro style social icons and links to your social profiles', 'metro_style_social_widget' ));

		/* Widget control settings */
		$control_ops = array('id_base' => 'metro_style_social_widget');

		/* Create the widget */
		$this->WP_Widget('metro_style_social_widget', 'Metro Style Social Icons', $widget_ops, $control_ops);

		add_action('wp_enqueue_scripts', array($this, 'register_widget_styles'));

	}

	function register_widget_styles() {
		wp_enqueue_style('metro_style_social_widget', plugins_url('metro-style-social-widget/CSS/metro.css'));
	}


	/* Widget form creation */
	function form( $instance ) {
	
		/* Default widget settings */
		$defaults = array(
		'title' => 'Metro Social Media',
		'rssfeed' => 'howopensource',
		'twitter' => 'howopensource',
		'facebook' => 'howopensource',	
		'google' => '108151203181049867089',
		'pinterest' => 'howopensource',
		'linkedin' => '',
		'select_linkedin' => '',
		'youtube' => '',
		'noyoutube' => false,
		'nolinkedin' => false,
		'nopinterest' => false,
		'button' => 'button',
		'width' => '',
		'autofix' => true
		);

		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:') ?></label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'width' ); ?>"><?php _e('Type the width:') ?></label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'width' ); ?>" name="<?php echo $this->get_field_name( 'width' ); ?>" value="<?php echo $instance['width']; ?>" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'facebook' ); ?>"><?php _e('Facebook Page ID:') ?></label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'facebook' ); ?>" name="<?php echo $this->get_field_name( 'facebook' ); ?>" value="<?php echo $instance['facebook']; ?>" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'google' ); ?>"><?php _e('Google+ ID:') ?></label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'google' ); ?>" name="<?php echo $this->get_field_name( 'google' ); ?>" value="<?php echo $instance['google']; ?>" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'twitter' ); ?>"><?php _e('Twitter Name:') ?></label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'twitter' ); ?>" name="<?php echo $this->get_field_name( 'twitter' ); ?>" value="<?php echo $instance['twitter']; ?>" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'pinterest' ); ?>"><?php _e('Pinterest ID:') ?></label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'pinterest' ); ?>" name="<?php echo $this->get_field_name( 'pinterest' ); ?>" value="<?php echo $instance['pinterest']; ?>" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'linkedin' ); ?>"><?php _e('Linkedin ID/Full URL:') ?></label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'linkedin' ); ?>" name="<?php echo $this->get_field_name( 'linkedin' ); ?>" value="<?php echo $instance['linkedin']; ?>" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'rssfeed' ); ?>"><?php _e('RSS Name:') ?></label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'rssfeed' ); ?>" name="<?php echo $this->get_field_name( 'rssfeed' ); ?>" value="<?php echo $instance['rssfeed']; ?>" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'youtube' ); ?>"><?php _e('Youtube ID:') ?></label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'youtube' ); ?>" name="<?php echo $this->get_field_name( 'youtube' ); ?>" value="<?php echo $instance['youtube']; ?>" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id('select_linkedin'); ?>"><?php _e('Select linkedin Type'); ?></label>
			<select name="<?php echo $this->get_field_name('select_linkedin'); ?>" id="<?php echo $this->get_field_id('select_width'); ?>" class="widefat">
			<?php 
			$options = array('Member', 'Company');
			foreach ($options as $option) { ?>
				<option <?php selected( $instance['select_linkedin'], $option ); ?> value="<?php echo $option; ?>"><?php echo $option; ?></option>
			<?php	}
			?>
			</select>
		</p>

		<p>
			<label for="<?php echo $this->get_field_id('noyoutube'); ?>"><input id="<?php echo $this->get_field_id( 'noyoutube' ); ?>" type="checkbox" name="<?php echo $this->get_field_name( 'noyoutube' ); ?>" value="1" <?php checked( 1, $instance['noyoutube'] ); ?>/> <?php esc_html_e( 'don\'t show youtube', 'metro_style_social_widget' ); ?></label>
		</p>

		<p>
			<label for="<?php echo $this->get_field_id('nolinkedin'); ?>"><input id="<?php echo $this->get_field_id( 'nolinkedin' ); ?>" type="checkbox" name="<?php echo $this->get_field_name( 'nolinkedin' ); ?>" value="1" <?php checked( 1, $instance['nolinkedin'] ); ?>/> <?php esc_html_e( 'don\'t show linkedin', 'metro_style_social_widget' ); ?></label>
		</p>

		<p>
			<label for="<?php echo $this->get_field_id('nopinterest'); ?>"><input id="<?php echo $this->get_field_id( 'nopinterest' ); ?>" type="checkbox" name="<?php echo $this->get_field_name( 'nopinterest' ); ?>" value="1" <?php checked( 1, $instance['nopinterest'] ); ?>/> <?php esc_html_e( 'don\'t show pinterest', 'metro_style_social_widget' ); ?></label>
		</p>

		<p>
			<label for="<?php echo $this->get_field_id('button'); ?>"><input id="<?php echo $this->get_field_id( 'button' ); ?>" type="checkbox" name="<?php echo $this->get_field_name( 'button' ); ?>" value="1" <?php checked( 1, $instance['button'] ); ?>/> <?php esc_html_e( 'Add Like/Follow Button', 'metro_style_social_widget' ); ?></label>
		</p>

		<p>
			<label for="<?php echo $this->get_field_id('autofix'); ?>"><input id="<?php echo $this->get_field_id( 'autofix' ); ?>" type="checkbox" name="<?php echo $this->get_field_name( 'autofix' ); ?>" value="1" <?php checked( 1, $instance['autofix'] ); ?>/> <?php esc_html_e( 'Autofix, if the plugin didn\'t displayed on your site', 'metro_style_social_widget' ); ?></label>
		</p>

	<?php
	}

	/* Widget update */
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		$instance['title'] = strip_tags( $new_instance['title'] );

		$instance['width'] = $new_instance['width'];
		
		$instance['facebook'] = $new_instance['facebook'];
	
		$instance['google'] = $new_instance['google'];

		$instance['twitter'] = $new_instance['twitter'];

		$instance['pinterest'] = $new_instance['pinterest'];

		$instance['linkedin'] = $new_instance['linkedin'];

		$instance['rssfeed'] = $new_instance['rssfeed'];

		$instance['youtube'] = $new_instance['youtube'];

		$instance['noyoutube'] = $new_instance['noyoutube'];

		$instance['nolinkedin'] = $new_instance['nolinkedin'];

		$instance['nopinterest'] = $new_instance['nopinterest'];

		$instance['button'] = $new_instance['button'];

		$instance['autofix'] = $new_instance['autofix'];

		$instance['select_linkedin'] = $new_instance['select_linkedin'];

		return $instance;
	}

	/* Widget display */
	function widget( $args, $instance ) {
		extract( $args );

		/* Available Widget Options */
		$title = apply_filters('widget_title', $instance['title'] );
		$facebook = $instance['facebook'];
		$google = $instance['google'];
		$twitter = $instance['twitter'];
		$pinterest = $instance['pinterest'];
		$linkedin = $instance['linkedin'];
		$rssfeed = $instance['rssfeed'];
		$youtube = $instance['youtube'];
		$noyoutube = $instance['noyoutube'];
		$nolinkedin = $instance['nolinkedin'];
		$nopinterest = $instance['nopinterest'];
		$button = $instance['button'];
		$width = $instance['width'];
		$autofix = $instance['autofix'];
		$select_linkedin = $instance['select_linkedin'];

		/* Before widget */
		if ($autofix) {
		    $before_widget = $instance[''];
		}
		else
		  {
		    echo $before_widget;
		}

		/* Check if title is set */
		if ( $title )
			echo $before_title . $title . $after_title;

		if ( $select_linkedin == 'Member' ) 
		{ 
			$linkedin_url = $linkedin; 
		}
		else if ( $select_linkedin == 'Company' )
		{
			$linkedin_url = "http://www.linkedin.com/company/".$linkedin;
		}
	   	?>


		<?php if (!$button) {
		if (!$noyoutube && !$nolinkedin && !$nopinterest)
		{
	?>
	<div class="metro-social" style="width:<?php echo $width; ?>px;">

		<li><a class="metro-facebook" target="_blank" href="http://www.facebook.com/<?php echo $facebook; ?>"></a></li>

		<li><a class="metro-googleplus" target="_blank" href="http://plus.google.com/<?php echo $google; ?>"></a></li>
       
	        <li><a class="metro-twitter" target="_blank" href="http://www.twitter.com/<?php echo $twitter; ?>"></a></li>

		<li><a class="metro-linkedin" target="_blank" href="<?php echo $linkedin_url; ?>"></a></li>

		<li><a class="metro-pinterest" target="_blank" href="http://www.pinterest.com/<?php echo $pinterest; ?>"></a></li>

 	        <li><a class="metro-rss" target="_blank" href="http://feeds.feedburner.com/<?php echo $rssfeed; ?>"></a></li>

		<li><a class="metro-youtube" target="_blank" href="http://www.youtube.com/<?php echo $youtube; ?>"></a></li>

	</div>
	<?php
		}

	else if ($noyoutube && !$nolinkedin && !$nopinterest)
		{
	?>

	<div class="metro-social" style="width:<?php echo $width; ?>px;">

		<li><a class="metro-facebook" target="_blank" href="http://www.facebook.com/<?php echo $facebook; ?>"></a></li>

		<li><a class="metro-googleplus" target="_blank" href="http://plus.google.com/<?php echo $google; ?>"></a></li>
       
	        <li><a class="metro-twitter" target="_blank" href="http://www.twitter.com/<?php echo $twitter; ?>"></a></li>

		<li><a class="metro-linkedin" target="_blank" href="<?php echo $linkedin_url; ?>"></a></li>

		<li><a class="metro-pinterest" target="_blank" href="http://www.pinterest.com/<?php echo $pinterest; ?>"></a></li>

 	        <li><a class="rss-feed" target="_blank" href="http://feeds.feedburner.com/<?php echo $rssfeed; ?>"></a></li>

	</div>
	<?php
		}

	else if ($noyoutube && $nolinkedin && !$nopinterest)
		{
	?>

	<div class="metro-social" style="width:<?php echo $width; ?>px;">

		<li><a class="metro-facebook" target="_blank" href="http://www.facebook.com/<?php echo $facebook; ?>"></a></li>

		<li><a class="googleplus-one" target="_blank" href="http://plus.google.com/<?php echo $google; ?>"></a></li>
       
		<li><a class="metro-pinterest" target="_blank" href="http://www.pinterest.com/<?php echo $pinterest; ?>"></a></li>

	        <li><a class="metro-twitter" target="_blank" href="http://www.twitter.com/<?php echo $twitter; ?>"></a></li>

 	        <li><a class="rss-feed" target="_blank" href="http://feeds.feedburner.com/<?php echo $rssfeed; ?>"></a></li>

	</div>
	<?php
		}

	else if ($noyoutube && $nolinkedin && $nopinterest)
		{
	?>

	<div class="metro-social" style="width:<?php echo $width; ?>px;">

		<li><a class="metro-facebook" target="_blank" href="http://www.facebook.com/<?php echo $facebook; ?>"></a></li>

		<li><a class="googleplus-one" target="_blank" href="http://plus.google.com/<?php echo $google; ?>"></a></li>

	        <li><a class="twitter-one" target="_blank" href="http://www.twitter.com/<?php echo $twitter; ?>"></a></li>

 	        <li><a class="rss-feed" target="_blank" href="http://feeds.feedburner.com/<?php echo $rssfeed; ?>"></a></li>

	</div>
	<?php
		}

	else if (!$noyoutube && !$nolinkedin && $nopinterest)
		{
	?>

	<div class="metro-social" style="width:<?php echo $width; ?>px;">

		<li><a class="metro-facebook" target="_blank" href="http://www.facebook.com/<?php echo $facebook; ?>"></a></li>

		<li><a class="metro-googleplus" target="_blank" href="http://plus.google.com/<?php echo $google; ?>"></a></li>
       
	        <li><a class="metro-twitter" target="_blank" href="http://www.twitter.com/<?php echo $twitter; ?>"></a></li>

		<li><a class="linkedin-one" target="_blank" href="<?php echo $linkedin_url; ?>"></a></li>

 	        <li><a class="metro-rss" target="_blank" href="http://feeds.feedburner.com/<?php echo $rssfeed; ?>"></a></li>

		<li><a class="metro-youtube" target="_blank" href="http://www.youtube.com/<?php echo $youtube; ?>"></a></li>

	</div>
	<?php
		}

	else if (!$noyoutube && $nolinkedin && $nopinterest)
		{
	?>

	<div class="metro-social" style="width:<?php echo $width; ?>px;">

		<li><a class="metro-facebook" target="_blank" href="http://www.facebook.com/<?php echo $facebook; ?>"></a></li>

		<li><a class="googleplus-one" target="_blank" href="http://plus.google.com/<?php echo $google; ?>"></a></li>

	        <li><a class="twitter-one" target="_blank" href="http://www.twitter.com/<?php echo $twitter; ?>"></a></li>

 	        <li><a class="metro-rss" target="_blank" href="http://feeds.feedburner.com/<?php echo $rssfeed; ?>"></a></li>

		<li><a class="metro-youtube" target="_blank" href="http://www.youtube.com/<?php echo $youtube; ?>"></a></li>

	</div>
	<?php
		}

	else if (!$noyoutube && $nolinkedin && !$nopinterest)
		{
	?>

	<div class="metro-social" style="width:<?php echo $width; ?>px;">

		<li><a class="metro-facebook" target="_blank" href="http://www.facebook.com/<?php echo $facebook; ?>"></a></li>

		<li><a class="pinterest-one" target="_blank" href="http://www.pinterest.com/<?php echo $pinterest; ?>"></a></li>

		<li><a class="metro-googleplus" target="_blank" href="http://plus.google.com/<?php echo $google; ?>"></a></li>
       
	        <li><a class="metro-twitter" target="_blank" href="http://www.twitter.com/<?php echo $twitter; ?>"></a></li>

 	        <li><a class="metro-rss" target="_blank" href="http://feeds.feedburner.com/<?php echo $rssfeed; ?>"></a></li>

		<li><a class="metro-youtube" target="_blank" href="http://www.youtube.com/<?php echo $youtube; ?>"></a></li>

	</div>
	<?php
		}

	else if ($noyoutube && !$nolinkedin && $nopinterest)
		{
	?>

	<div class="metro-social" style="width:<?php echo $width; ?>px;">

		<li><a class="metro-facebook" target="_blank" href="http://www.facebook.com/<?php echo $facebook; ?>"></a></li>

		<li><a class="metro-googleplus" target="_blank" href="http://plus.google.com/<?php echo $google; ?>"></a></li>
       
	        <li><a class="metro-twitter" target="_blank" href="http://www.twitter.com/<?php echo $twitter; ?>"></a></li>

		<li><a class="linkedin-one" target="_blank" href="<?php echo $linkedin_url; ?>"></a></li>

 	        <li><a class="rss-feed" target="_blank" href="http://feeds.feedburner.com/<?php echo $rssfeed; ?>"></a></li>

	</div>
	<?php
		}
	}

	else if ($button) {
		if (!$noyoutube && !$nolinkedin && !$nopinterest)
		{
	?>
	<div class="metro-social" style="width:<?php echo $width; ?>px;">

		<li class="metro-facebook"><iframe class="fbhover" src="//www.facebook.com/plugins/like.php?href=https%3A%2F%2Fwww.facebook.com%2F<?php echo $facebook; ?>&amp;send=false&amp;layout=box_count&amp;width=450&amp;show_faces=false&amp;font&amp;colorscheme=light&amp;action=like&amp;height=21&amp;appId=146463002094104" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:75px; height:65px;" allowTransparency="true"></iframe></li>

		<li class="metro-googleplus"><div class="googlehover">
<div class="g-follow" data-annotation="vertical-bubble" data-height="15" data-href="//plus.google.com/<?php echo $google; ?>" data-rel="publisher"></div></div>

<!-- Place this tag after the last +1 button tag. -->
<script type="text/javascript">
  (function() {
    var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
    po.src = 'https://apis.google.com/js/plusone.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
  })();
</script></li>
       
	        <li class="metro-twitter"><a href="https://twitter.com/<?php echo $twitter; ?>" class="twitter-follow-button twitterhover" data-show-count="false" data-show-screen-name="false">Follow @<?php echo $twitter; ?></a>
<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+'://platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document, 'script', 'twitter-wjs');</script></li>

		<?php
		if ( $select_linkedin == 'Member' ) 
		{ 
			echo '<li class="metro-linkedin"><a class="linkedinhover" target="_blank" href="'.$linkedin.'"><img src="' . plugins_url( 'images/linkedin.jpg' , __FILE__ ) . '" ></a></li>'; 
		}
		else if ( $select_linkedin == 'Company' )
		{
			echo '<li  class="metro-linkedin"><span class="linkedinhover"><script src="//platform.linkedin.com/in.js" type="text/javascript">
 lang: en_US
</script>
<script type="IN/FollowCompany" data-counter="top" data-id="'.$linkedin.'"></script></span></li>';
		}
	   	?>

		<li class="metro-pinterest"><div class="pinteresthover"><a data-pin-do="buttonFollow" href="http://pinterest.com/<?php echo $pinterest; ?>">Follow</a><script type="text/javascript">
(function(d){
  var f = d.getElementsByTagName('SCRIPT')[0], p = d.createElement('SCRIPT');
  p.type = 'text/javascript';
  p.async = true;
  p.src = '//assets.pinterest.com/js/pinit.js';
  f.parentNode.insertBefore(p, f);
}(document));
</script></div></li>

 	        <li><a class="metro-rss" target="_blank" href="http://feeds.feedburner.com/<?php echo $rssfeed; ?>"></a></li>

		<li class="metro-youtube"><div class="googlehover"><div class="g-ytsubscribe" data-channel="<?php echo $youtube; ?>" data-layout="default"></div></div></li>

	</div>
	<?php
		}

	else if ($noyoutube && !$nolinkedin && !$nopinterest)
		{
	?>

	<div class="metro-social" style="width:<?php echo $width; ?>px;">

		<li class="metro-facebook"><iframe class="fbhover" src="//www.facebook.com/plugins/like.php?href=https%3A%2F%2Fwww.facebook.com%2F<?php echo $facebook; ?>&amp;send=false&amp;layout=box_count&amp;width=450&amp;show_faces=false&amp;font&amp;colorscheme=light&amp;action=like&amp;height=21&amp;appId=146463002094104" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:75px; height:65px;" allowTransparency="true"></iframe></li>

		<li class="metro-googleplus"><div class="googlehover">
<div class="g-follow" data-annotation="vertical-bubble" data-height="15" data-href="//plus.google.com/<?php echo $google; ?>" data-rel="publisher"></div></div><script type="text/javascript">
  (function() {
    var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
    po.src = 'https://apis.google.com/js/plusone.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
  })();
</script></li>
       
	        <li class="metro-twitter"><a href="https://twitter.com/<?php echo $twitter; ?>" class="twitter-follow-button twitterhover" data-show-count="false" data-show-screen-name="false">Follow @<?php echo $twitter; ?></a><script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+'://platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document, 'script', 'twitter-wjs');</script></li>

		<?php
		if ( $select_linkedin == 'Member' ) 
		{ 
			echo '<li class="metro-linkedin"><a class="linkedinhover" target="_blank" href="'.$linkedin.'"><img src="' . plugins_url( 'images/linkedin.jpg' , __FILE__ ) . '" ></a></li>'; 
		}
		else if ( $select_linkedin == 'Company' )
		{
			echo '<li  class="metro-linkedin"><span class="linkedinhover"><script src="//platform.linkedin.com/in.js" type="text/javascript">
 lang: en_US
</script>
<script type="IN/FollowCompany" data-counter="top" data-id="'.$linkedin.'"></script></span></li>';
		}
	   	?>

		<li class="metro-pinterest"><div class="pinteresthover"><a data-pin-do="buttonFollow" href="http://pinterest.com/<?php echo $pinterest; ?>">Follow</a><script type="text/javascript">
(function(d){
  var f = d.getElementsByTagName('SCRIPT')[0], p = d.createElement('SCRIPT');
  p.type = 'text/javascript';
  p.async = true;
  p.src = '//assets.pinterest.com/js/pinit.js';
  f.parentNode.insertBefore(p, f);
}(document));
</script></div></li>

 	        <li><a class="rss-feed" target="_blank" href="http://feeds.feedburner.com/<?php echo $rssfeed; ?>"></a></li>

	</div>
	<?php
		}

	else if ($noyoutube && $nolinkedin && !$nopinterest)
		{
	?>

	<div class="metro-social" style="width:<?php echo $width; ?>px;">

		<li class="metro-facebook"><iframe class="fbhover" src="//www.facebook.com/plugins/like.php?href=https%3A%2F%2Fwww.facebook.com%2F<?php echo $facebook; ?>&amp;send=false&amp;layout=box_count&amp;width=450&amp;show_faces=false&amp;font&amp;colorscheme=light&amp;action=like&amp;height=21&amp;appId=146463002094104" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:75px; height:65px;" allowTransparency="true"></iframe></li>

		<li class="googleplus-one"><div class="googlehover" styel="margin-top:10px;">
<div class="g-follow" data-annotation="bubble" data-height="24" data-href="//plus.google.com/<?php echo $google; ?>" data-rel="publisher"></div></div><script type="text/javascript">
  (function() {
    var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
    po.src = 'https://apis.google.com/js/plusone.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
  })();
</script></li>
       
		<li class="metro-pinterest"><div class="pinteresthover"><a data-pin-do="buttonFollow" href="http://pinterest.com/<?php echo $pinterest; ?>">Follow</a><script type="text/javascript">
(function(d){
  var f = d.getElementsByTagName('SCRIPT')[0], p = d.createElement('SCRIPT');
  p.type = 'text/javascript';
  p.async = true;
  p.src = '//assets.pinterest.com/js/pinit.js';
  f.parentNode.insertBefore(p, f);
}(document));
</script></div></li>

	        <li class="metro-twitter"><a href="https://twitter.com/<?php echo $twitter; ?>" class="twitter-follow-button twitterhover" data-show-count="false" data-show-screen-name="false">Follow @<?php echo $twitter; ?></a><script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+'://platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document, 'script', 'twitter-wjs');</script></li>

 	        <li><a class="rss-feed" target="_blank" href="http://feeds.feedburner.com/<?php echo $rssfeed; ?>"></a></li>

	</div>
	<?php
		}

	else if ($noyoutube && $nolinkedin && $nopinterest)
		{
	?>

	<div class="metro-social" style="width:<?php echo $width; ?>px;">

		<li class="metro-facebook"><iframe class="fbhover" src="//www.facebook.com/plugins/like.php?href=https%3A%2F%2Fwww.facebook.com%2F<?php echo $facebook; ?>&amp;send=false&amp;layout=button_count&amp;width=450&amp;show_faces=false&amp;font&amp;colorscheme=light&amp;action=like&amp;height=21&amp;appId=146463002094104" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:75px; height:65px;" allowTransparency="true"></iframe></li>

		<li class="googleplus-one"><div class="googlehover" styel="margin-top:10px;">
<div class="g-follow" data-annotation="bubble" data-height="24" data-href="//plus.google.com/<?php echo $google; ?>" data-rel="publisher"></div></div><script type="text/javascript">
  (function() {
    var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
    po.src = 'https://apis.google.com/js/plusone.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
  })();
</script></li>

	        <li class="twitter-one"><a href="https://twitter.com/<?php echo $twitter; ?>" class="twitter-follow-button twitterhover" data-show-count="true" data-show-screen-name="false">Follow @<?php echo $twitter; ?></a><script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+'://platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document, 'script', 'twitter-wjs');</script></li>

 	        <li><a class="rss-feed" target="_blank" href="http://feeds.feedburner.com/<?php echo $rssfeed; ?>"></a></li>

	</div>
	<?php
		}

	else if (!$noyoutube && !$nolinkedin && $nopinterest)
		{
	?>

	<div class="metro-social" style="width:<?php echo $width; ?>px;">

		<li class="metro-facebook"><iframe class="fbhover" src="//www.facebook.com/plugins/like.php?href=https%3A%2F%2Fwww.facebook.com%2F<?php echo $facebook; ?>&amp;send=false&amp;layout=box_count&amp;width=450&amp;show_faces=false&amp;font&amp;colorscheme=light&amp;action=like&amp;height=21&amp;appId=146463002094104" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:75px; height:65px;" allowTransparency="true"></iframe></li>

		<li class="metro-googleplus"><div class="googlehover">
<div class="g-follow" data-annotation="vertical-bubble" data-height="15" data-href="//plus.google.com/<?php echo $google; ?>" data-rel="publisher"></div></div><script type="text/javascript">
  (function() {
    var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
    po.src = 'https://apis.google.com/js/plusone.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
  })();
</script></li>
       
	        <li class="metro-twitter"><a href="https://twitter.com/<?php echo $twitter; ?>" class="twitter-follow-button twitterhover" data-show-count="false" data-show-screen-name="false">Follow @<?php echo $twitter; ?></a><script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+'://platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document, 'script', 'twitter-wjs');</script></li>

		<?php
		if ( $select_linkedin == 'Member' ) 
		{ 
			echo '<li class="linkedin-one"><a class="linkedinhover" target="_blank" href="'.$linkedin.'"><img src="' . plugins_url( 'images/linkedin.jpg' , __FILE__ ) . '" ></a></li>'; 
		}
		else if ( $select_linkedin == 'Company' )
		{
			echo '<li  class="linkedin-one"><span class="linkedinhover"><script src="//platform.linkedin.com/in.js" type="text/javascript">
 lang: en_US
</script>
<script type="IN/FollowCompany" data-counter="top" data-id="'.$linkedin.'"></script></span></li>';
		}
	   	?>

 	        <li><a class="metro-rss" target="_blank" href="http://feeds.feedburner.com/<?php echo $rssfeed; ?>"></a></li>

		<li class="metro-youtube"><div class="googlehover"><div class="g-ytsubscribe" data-channel="<?php echo $youtube; ?>" data-layout="default"></div></div></li>

	</div>
	<?php
		}

	else if (!$noyoutube && $nolinkedin && $nopinterest)
		{
	?>

	<div class="metro-social" style="width:<?php echo $width; ?>px;">

		<li class="metro-facebook"><iframe class="fbhover" src="//www.facebook.com/plugins/like.php?href=https%3A%2F%2Fwww.facebook.com%2F<?php echo $facebook; ?>&amp;send=false&amp;layout=button_count&amp;width=450&amp;show_faces=false&amp;font&amp;colorscheme=light&amp;action=like&amp;height=21&amp;appId=146463002094104" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:75px; height:65px;" allowTransparency="true"></iframe></li>

		<li class="googleplus-one"><div class="googlehover" styel="margin-top:10px;">
<div class="g-follow" data-annotation="bubble" data-height="24" data-href="//plus.google.com/<?php echo $google; ?>" data-rel="publisher"></div></div><script type="text/javascript">
  (function() {
    var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
    po.src = 'https://apis.google.com/js/plusone.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
  })();
</script></li>

	        <li class="twitter-one"><a href="https://twitter.com/<?php echo $twitter; ?>" class="twitter-follow-button twitterhover" data-show-count="true" data-show-screen-name="false">Follow @<?php echo $twitter; ?></a><script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+'://platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document, 'script', 'twitter-wjs');</script></li>

 	        <li><a class="metro-rss" target="_blank" href="http://feeds.feedburner.com/<?php echo $rssfeed; ?>"></a></li>

		<li class="metro-youtube"><div class="googlehover"><div class="g-ytsubscribe" data-channel="<?php echo $youtube; ?>" data-layout="default"></div></div></li>

	</div>
	<?php
		}

	else if (!$noyoutube && $nolinkedin && !$nopinterest)
		{
	?>

	<div class="metro-social" style="width:<?php echo $width; ?>px;">

		<li class="metro-facebook"><iframe class="fbhover" src="//www.facebook.com/plugins/like.php?href=https%3A%2F%2Fwww.facebook.com%2F<?php echo $facebook; ?>&amp;send=false&amp;layout=box_count&amp;width=450&amp;show_faces=false&amp;font&amp;colorscheme=light&amp;action=like&amp;height=21&amp;appId=146463002094104" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:75px; height:65px;" allowTransparency="true"></iframe></li>

		<li class="pinterest-one"><div class="pinteresthover"><a data-pin-do="buttonFollow" href="http://pinterest.com/<?php echo $pinterest; ?>">Follow</a><script type="text/javascript">
(function(d){
  var f = d.getElementsByTagName('SCRIPT')[0], p = d.createElement('SCRIPT');
  p.type = 'text/javascript';
  p.async = true;
  p.src = '//assets.pinterest.com/js/pinit.js';
  f.parentNode.insertBefore(p, f);
}(document));
</script></div></li>

		<li class="metro-googleplus"><div class="googlehover">
<div class="g-follow" data-annotation="vertical-bubble" data-height="15" data-href="//plus.google.com/<?php echo $google; ?>" data-rel="publisher"></div></div><script type="text/javascript">
  (function() {
    var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
    po.src = 'https://apis.google.com/js/plusone.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
  })();
</script></li>
       
	        <li class="metro-twitter"><a href="https://twitter.com/<?php echo $twitter; ?>" class="twitter-follow-button twitterhover" data-show-count="false" data-show-screen-name="false">Follow @<?php echo $twitter; ?></a><script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+'://platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document, 'script', 'twitter-wjs');</script></li>

 	        <li><a class="metro-rss" target="_blank" href="http://feeds.feedburner.com/<?php echo $rssfeed; ?>"></a></li>

		<li class="metro-youtube"><div class="googlehover"><div class="g-ytsubscribe" data-channel="<?php echo $youtube; ?>" data-layout="default"></div></div></li>

	</div>
	<?php
		}

	else if ($noyoutube && !$nolinkedin && $nopinterest)
		{
	?>

	<div class="metro-social" style="width:<?php echo $width; ?>px;">

		<li class="metro-facebook"><iframe class="fbhover" src="//www.facebook.com/plugins/like.php?href=https%3A%2F%2Fwww.facebook.com%2F<?php echo $facebook; ?>&amp;send=false&amp;layout=box_count&amp;width=450&amp;show_faces=false&amp;font&amp;colorscheme=light&amp;action=like&amp;height=21&amp;appId=146463002094104" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:75px; height:65px;" allowTransparency="true"></iframe></li>

		<li class="metro-googleplus"><div class="googlehover">
<div class="g-follow" data-annotation="vertical-bubble" data-height="15" data-href="//plus.google.com/<?php echo $google; ?>" data-rel="publisher"></div></div><script type="text/javascript">
  (function() {
    var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
    po.src = 'https://apis.google.com/js/plusone.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
  })();
</script></li>
       
	        <li class="metro-twitter"><a href="https://twitter.com/<?php echo $twitter; ?>" class="twitter-follow-button twitterhover" data-show-count="false" data-show-screen-name="false">Follow @<?php echo $twitter; ?></a><script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+'://platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document, 'script', 'twitter-wjs');</script></li>

		<?php
		if ( $select_linkedin == 'Member' ) 
		{ 
			echo '<li class="linkedin-one"><a class="linkedinhover" target="_blank" href="'.$linkedin.'"><img src="' . plugins_url( 'images/linkedin.jpg' , __FILE__ ) . '" ></a></li>'; 
		}
		else if ( $select_linkedin == 'Company' )
		{
			echo '<li  class="linkedin-one"><span class="linkedinhover"><script src="//platform.linkedin.com/in.js" type="text/javascript">
 lang: en_US
</script>
<script type="IN/FollowCompany" data-counter="top" data-id="'.$linkedin.'"></script></span></li>';
		}
	   	?>

 	        <li><a class="rss-feed" target="_blank" href="http://feeds.feedburner.com/<?php echo $rssfeed; ?>"></a></li>

	</div>
	<?php
		}

}

	?>

        <?php
		/* After widget */
		if ($autofix) {
		    $after_widget = $instance[''];
		}
		else
		  {
		    echo $after_widget;
		}
	}
}

/* Register widget */
add_action('widgets_init', create_function('', 'return register_widget("Metro_Style_Socialicons_Widget");'));
?>
